#!/usr/bin/sh
################################################################################
# This script front-ends the Virtual Environment version by changing relative
# path names to absolute path names.
################################################################################
VE=/usr/local/lib/PythonVirtualEnvironments/hindsight-2023.03-1
declare -a A=()

################################################################################
# This like should match the arguments to the hindsight exactly.
# Arguments that can refer to relative pathnames are changed by replacing them
# with absolute pathnames
################################################################################
P="${0##*/}"
case "$P" in
hindsight|hindsight.py)
	P=hindsight.py
	TEMP=`getopt -o hi:o:b:f:t:d:c: -l help,input:,output:,browser_type,format:,log:,timezone:,decrypt:,cache:,nocopy,no_copy,temp_dir -- "$@"`
	if [ $? != 0 ] ; then echo "Terminating..." >&2 ; exit 1 ; fi

	eval set -- "$TEMP"
	while true
	do
		case "$1" in
		-i|--input|-o|--output|-l|--log|-c|--cache|--temp_dir)
			A+=("$1")
			shift
			case "$1" in
			/*)
				A+=("$1")
				;;
			*)
				A+=("$PWD/$1")
				;;
			esac
			shift
			;;
		-b|--browser_type|-f|--format|-t|--timezone)
			A+=("$1")
			A+=("$2")
			shift 2
			;;
		--)
			break
			;;
		*)
			A+=("$1")
			shift
			;;
		esac
	done
	;;
hindsight_gui|hindsight_gui.py)
	P=hindsight_gui.py
	;;
*)
	1>&2 echo "Unknown program name \"$P\" - exiting"
	exit 1
	;;
esac

################################################################################
# Start the virtual environment and run the specified program with the modified
# arguments
################################################################################
source $VE/bin/activate
exec "$P" "${A[@]}"
